sync_callbacks Struct Reference

`#include <sync.h>`

## Data Fields

void(* | sync_init )(const unsigned int *trans_list, size_t trans_list_entries, const unsigned int *member_list, size_t member_list_entries, const struct memb_ring_id *ring_id)
int(* | sync_process )(void)
void(* | sync_activate )(void)
void(* | sync_abort )(void)
const char * | name

## Detailed Description

Definition at line 38 of file sync.h.

## Field Documentation

## name

const char* sync_callbacks::name

Definition at line 48 of file sync.h.

## sync_abort

void(* sync_callbacks::sync_abort) (void)

Definition at line 47 of file sync.h.

## sync_activate

void(* sync_callbacks::sync_activate) (void)

Definition at line 46 of file sync.h.

## sync_init

void(* sync_callbacks::sync_init) (const unsigned int *trans_list, size_t trans_list_entries, const unsigned int *member_list, size_t member_list_entries, const struct memb_ring_id *ring_id)

Definition at line 39 of file sync.h.

## sync_process

int(* sync_callbacks::sync_process) (void)

Definition at line 45 of file sync.h.

The documentation for this struct was generated from the following file:

- sync.h